<section class="content">
  <div class="row">
    <div class="col-xs-12">
      <div class="box">
        <div class="box-header">
          <h3 class="box-title">List of Users</h3>

          <div class="box-tools" *ngIf="role==1">
            <div class="input-group input-group-sm" style="width: 150px;">
              <!-- <input type="text" name="table_search" class="form-control pull-right" placeholder="Search"> -->
              <select [(ngModel)]="status" (change)=getUsers(status) class="form-control   pull-right ">
                <option value="WaitingForCall" selected>Waiting For Call</option>
                <option value="Created">Created</option>
                <option value="WaitingForPondDetails" selected>Waiting For PondDetails</option>
                <option value="Approved">Approved</option>
                <option value="Rejected">Rejected</option>
              </select>
              <!-- <div class="input-group-btn">
                <button type="submit" class="btn btn-default">
                  <i class="fa fa-search"></i>
                </button>
              </div> -->
            </div>
          </div>
        </div>
        <!-- /.box-header -->
        <div class="box-body table-responsive no-padding">
          <table class="table table-hover" *ngIf="role==1">
            <tbody>
              <tr>
                <th>S.No.</th>
                <th>UserName</th>
                <th>EmailID</th>
                <th>Mobile Number</th>
                <th>Status</th>
                <th [hidden]='isAction'>Action</th>
              </tr>
              <tr *ngFor="let user of registeredUsers; let i=index">
                <td>{{i+1}}</td>
                <td>{{user.firstname}}{{user.lastname}} </td>
                <td>{{user.email}} </td>
                <td>{{user.mobilenum}}</td>
                <td>
                  <span class="label label-warning" *ngIf="user.status=='WaitingForCall'"> {{user.status}}</span>
                  <span class="label label-success" *ngIf="user.status=='Approved'"> {{user.status}}</span>
                  <span class="label label-primary" *ngIf="user.status=='Created'"> {{user.status}}</span>
                  <span class="label label-primary" *ngIf="user.status=='WaitingForPondDetails'"> {{user.status}}</span>
                  <span class="label label-danger" *ngIf="user.status=='Rejected'"> {{user.status}}</span>
                </td>
                <td [hidden]='isAction'>
                  <!-- after call, if user interested -->
                  <i *ngIf="isEditable" class="fa fa-pencil-square-o fa-2x" aria-hidden="true" title="Edit" (click)="editUser(user.id)"style="color:green;"></i>

                  <!-- waiting for call state fa fa-arrow-right -->
                  <!-- <button *ngIf="isUpdatable" type="button" class="btn btn-info" value="{{user.id}}" (click)="updateUser({id:user.id,status:'Created'})">Create</button> -->

                  <!-- <i *ngIf="isUpdatable" class="fa fa-check-square fa-2x" aria-hidden="true" title="Create" (click)="updateUser({id:user.id,status:'Created'})"
                    style="color:green"></i> -->

                    <i *ngIf="isUpdatable" class="fa fa-check-square fa-2x" (click)="updateUser({id:user.id,status:'Created'})  " title="create" style="color:green"></i>


                  <!-- <i *ngIf="isUpdatable" type="button" class="fa fa-close fa-2x" value="{{user.id}}" (click)="updateUser({id:user.id,status:'Rejected'})" style="color:red"></i> -->

                  <i *ngIf="isUpdatable" class="fa fa-window-close fa-2x" (click)="updateUser({id:user.id,status:'Rejected'}) " title="Reject" style="color:red"></i>

                  <!-- after approve, if user want to delete -->
                  <i *ngIf="isDelete" class="fa fa-trash-o fa-2x" aria-hidden="true" title="Delete" style="color:red;"></i>

                  <!-- agian if user is interested -->
                  <i *ngIf="isRejected" class="fa fa-repeat fa-2x" aria-hidden="true" title="Re-Schedule" (click)="updateUser({id:user.id,status:'WaitingForCall'})"></i>
                </td>
              </tr>
            </tbody>
          </table>
          <table class="table table-hover" *ngIf="role==3">
            <tbody>
              <tr>
                <th>S.No.</th>
                <th>UserName</th>
                <th>EmailID</th>
                <th>Mobile Number</th>
                <th>Status</th>
                <th>Action</th>
              </tr>
              <tr *ngFor="let user of pendingPonds; let i=index">
                <td>{{i+1}}</td>
                <td>{{user.firstname}}{{user.lastname}} </td>
                <td>{{user.email}} </td>
                <td>{{user.mobilenum}}</td>
                <td>
                  <span class="label label-primary"> {{user.status}}</span>
                </td>
                <td>                  <!-- after call, if user interested -->
                  <i class="fa fa-pencil-square-o fa-2x" aria-hidden="true" title="Edit" style="color:green;" (click)="savePondDetails(user.id)"></i>                
                </td>
              </tr>
            </tbody>
          </table>
        </div>
        <div class="alert alert-success box-msg" *ngIf="isSuccess">
          <p>User Created successfully</p>
        </div>        <!-- /.box-body -->
      </div>
      <!-- /.box -->
    </div>
  </div>
</section>